View Issue Details

IDProjectCategoryView StatusLast Update
0004579Talermerchant frontend (blog)public2016-10-11 17:28
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004579: frontend needs admin interface to track transactions
DescriptionBasically, the blog operator should have an "admin" interface where he can trace his sales/transactions.

This interface should allow him to select a wire transfer identifier (copy & paste from his transaction history at the bank Web interface) and find out the various sales (transactions) that correspond to it (/trace/transfer returns a list of transaction IDs and amounts, and transaction IDs can then ideally be mapped by the frontend to the list of articles sold).

Furthermore, the admin interface should have a transactions (articles sold), and it should be possible to look up the respective wire transfers (using the backend's /trace/transaction API).

That way, we demonstrate how the site owner can check his business logic (i.e. map bank transfers to transactions and vice versa).
TagsNo tags attached.

Activities

Marcello Stanisci

2016-09-08 17:55

manager   ~0011104

Implementing the HTML part.

Get this when forwarding the request to the backend

{
  "error": "backend error",
  "response": "{\n \"error\": \"id argument missing\"\n}",
  "status": 400
}

Marcello Stanisci

2016-09-08 23:48

manager   ~0011105

fixed in 76d2eab..719d053. Todo: translate JSON responses to HTML

Marcello Stanisci

2016-09-09 15:32

manager   ~0011107

Last edited: 2016-09-09 18:21

View 2 revisions

Get this:

{
  "error": "backend error",
  "response": "{\n \"details\": {\n \"execution_time\": \"/Date(1473426571)/\"\n },\n \"exchange_status\": 202\n}",
  "status": 202
}

UPDATE: it means that the exchange has not yet a wire transfer to show, so the frontend should not treat it as an error.

Marcello Stanisci

2016-09-13 22:20

manager   ~0011115

handle 202 case. provide receiver-less way of submitting the form.

Marcello Stanisci

2016-09-14 15:32

manager   ~0011116

Completed in f9e751b..94683dc. Other minor issues depend on merchant BE

Issue History

Date Modified Username Field Change
2016-06-11 21:00 Christian Grothoff New Issue
2016-06-11 21:00 Christian Grothoff Status new => assigned
2016-06-11 21:00 Christian Grothoff Assigned To => Marcello Stanisci
2016-09-08 17:55 Marcello Stanisci Note Added: 0011104
2016-09-08 23:48 Marcello Stanisci Note Added: 0011105
2016-09-09 15:32 Marcello Stanisci Note Added: 0011107
2016-09-09 18:21 Marcello Stanisci Note Edited: 0011107 View Revisions
2016-09-13 22:20 Marcello Stanisci Note Added: 0011115
2016-09-14 15:32 Marcello Stanisci Note Added: 0011116
2016-09-14 15:32 Marcello Stanisci Status assigned => resolved
2016-09-14 15:32 Marcello Stanisci Resolution open => fixed
2016-09-19 00:51 Christian Grothoff Fixed in Version => 0.1
2016-09-19 00:51 Christian Grothoff Target Version 0.3 => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed